/*
 * Copyright 2015-2016 Andres Almiray. <aalmiray@yahoo.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.materialdesign;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum MaterialDesign implements Ikon {
    MDI_ACCOUNT("mdi-account", '\uf10a'),
    MDI_ACCOUNT_BOX("mdi-account-box", '\uf102'),
    MDI_ACCOUNT_BOX_OUTLINE("mdi-account-box-outline", '\uf101'),
    MDI_ACCOUNT_CIRCLE("mdi-account-circle", '\uf103'),
    MDI_ACCOUNT_LOCATION("mdi-account-location", '\uf104'),
    MDI_ACCOUNT_MULTIPLE("mdi-account-multiple", '\uf107'),
    MDI_ACCOUNT_MULTIPLE_OUTLINE("mdi-account-multiple-outline", '\uf105'),
    MDI_ACCOUNT_MULTIPLE_PLUS("mdi-account-multiple-plus", '\uf106'),
    MDI_ACCOUNT_OUTLINE("mdi-account-outline", '\uf108'),
    MDI_ACCOUNT_PLUS("mdi-account-plus", '\uf109'),
    MDI_AIRPLANE("mdi-airplane", '\uf10c'),
    MDI_AIRPLANE_OFF("mdi-airplane-off", '\uf10b'),
    MDI_ALARM("mdi-alarm", '\uf110'),
    MDI_ALARM_CHECK("mdi-alarm-check", '\uf10d'),
    MDI_ALARM_OFF("mdi-alarm-off", '\uf10e'),
    MDI_ALARM_PLUS("mdi-alarm-plus", '\uf10f'),
    MDI_ALBUM("mdi-album", '\uf111'),
    MDI_ALERT("mdi-alert", '\uf115'),
    MDI_ALERT_BOX("mdi-alert-box", '\uf112'),
    MDI_ALERT_CIRCLE("mdi-alert-circle", '\uf113'),
    MDI_ALERT_OCTAGON("mdi-alert-octagon", '\uf114'),
    MDI_ANDROID("mdi-android", '\uf117'),
    MDI_ANDROID_DEBUG_BRIDGE("mdi-android-debug-bridge", '\uf116'),
    MDI_APPLE("mdi-apple", '\uf119'),
    MDI_APPLE_MOBILEME("mdi-apple-mobileme", '\uf118'),
    MDI_APPNET("mdi-appnet", '\uf11a'),
    MDI_APPS("mdi-apps", '\uf11b'),
    MDI_ARRANGE_BRING_FORWARD("mdi-arrange-bring-forward", '\uf11c'),
    MDI_ARRANGE_BRING_TO_FRONT("mdi-arrange-bring-to-front", '\uf11d'),
    MDI_ARRANGE_SEND_BACKWARD("mdi-arrange-send-backward", '\uf11e'),
    MDI_ARRANGE_SEND_TO_BACK("mdi-arrange-send-to-back", '\uf11f'),
    MDI_ARROW_DOWN("mdi-arrow-down", '\uf122'),
    MDI_ARROW_DOWN_BOLD_CIRCLE("mdi-arrow-down-bold-circle", '\uf121'),
    MDI_ARROW_DOWN_BOLD_CIRCLE_OUTLINE("mdi-arrow-down-bold-circle-outline", '\uf120'),
    MDI_ARROW_LEFT("mdi-arrow-left", '\uf125'),
    MDI_ARROW_LEFT_BOLD_CIRCLE("mdi-arrow-left-bold-circle", '\uf124'),
    MDI_ARROW_LEFT_BOLD_CIRCLE_OUTLINE("mdi-arrow-left-bold-circle-outline", '\uf123'),
    MDI_ARROW_RIGHT("mdi-arrow-right", '\uf128'),
    MDI_ARROW_RIGHT_BOLD_CIRCLE("mdi-arrow-right-bold-circle", '\uf127'),
    MDI_ARROW_RIGHT_BOLD_CIRCLE_OUTLINE("mdi-arrow-right-bold-circle-outline", '\uf126'),
    MDI_ARROW_UP("mdi-arrow-up", '\uf12b'),
    MDI_ARROW_UP_BOLD_CIRCLE("mdi-arrow-up-bold-circle", '\uf12a'),
    MDI_ARROW_UP_BOLD_CIRCLE_OUTLINE("mdi-arrow-up-bold-circle-outline", '\uf129'),
    MDI_AUTO_FIX("mdi-auto-fix", '\uf12c'),
    MDI_AUTO_UPLOAD("mdi-auto-upload", '\uf12d'),
    MDI_BANK("mdi-bank", '\uf12e'),
    MDI_BARCODE("mdi-barcode", '\uf12f'),
    MDI_BASKET("mdi-basket", '\uf130'),
    MDI_BATTERY("mdi-battery", '\uf145'),
    MDI_BATTERY_20("mdi-battery-20", '\uf131'),
    MDI_BATTERY_30("mdi-battery-30", '\uf132'),
    MDI_BATTERY_40("mdi-battery-40", '\uf133'),
    MDI_BATTERY_60("mdi-battery-60", '\uf134'),
    MDI_BATTERY_80("mdi-battery-80", '\uf135'),
    MDI_BATTERY_90("mdi-battery-90", '\uf136'),
    MDI_BATTERY_ALERT("mdi-battery-alert", '\uf137'),
    MDI_BATTERY_CHARGING_100("mdi-battery-charging-100", '\uf138'),
    MDI_BATTERY_CHARGING_20("mdi-battery-charging-20", '\uf139'),
    MDI_BATTERY_CHARGING_30("mdi-battery-charging-30", '\uf13a'),
    MDI_BATTERY_CHARGING_40("mdi-battery-charging-40", '\uf13b'),
    MDI_BATTERY_CHARGING_60("mdi-battery-charging-60", '\uf13c'),
    MDI_BATTERY_CHARGING_80("mdi-battery-charging-80", '\uf13d'),
    MDI_BATTERY_CHARGING_90("mdi-battery-charging-90", '\uf13e'),
    MDI_BATTERY_MINUS("mdi-battery-minus", '\uf13f'),
    MDI_BATTERY_NEGATIVE("mdi-battery-negative", '\uf140'),
    MDI_BATTERY_OUTLINE("mdi-battery-outline", '\uf141'),
    MDI_BATTERY_PLUS("mdi-battery-plus", '\uf142'),
    MDI_BATTERY_POSITIVE("mdi-battery-positive", '\uf143'),
    MDI_BATTERY_UNKNOWN("mdi-battery-unknown", '\uf144'),
    MDI_BEAKER("mdi-beaker", '\uf149'),
    MDI_BEAKER_EMPTY("mdi-beaker-empty", '\uf147'),
    MDI_BEAKER_EMPTY_OUTLINE("mdi-beaker-empty-outline", '\uf146'),
    MDI_BEAKER_OUTLINE("mdi-beaker-outline", '\uf148'),
    MDI_BELL("mdi-bell", '\uf14f'),
    MDI_BELL_OFF("mdi-bell-off", '\uf14a'),
    MDI_BELL_OUTLINE("mdi-bell-outline", '\uf14b'),
    MDI_BELL_RING("mdi-bell-ring", '\uf14d'),
    MDI_BELL_RING_OUTLINE("mdi-bell-ring-outline", '\uf14c'),
    MDI_BELL_SLEEP("mdi-bell-sleep", '\uf14e'),
    MDI_BIKE("mdi-bike", '\uf150'),
    MDI_BLOCK_HELPER("mdi-block-helper", '\uf151'),
    MDI_BLOGGER("mdi-blogger", '\uf152'),
    MDI_BLUETOOTH("mdi-bluetooth", '\uf155'),
    MDI_BLUETOOTH_AUDIO("mdi-bluetooth-audio", '\uf153'),
    MDI_BLUETOOTH_CONNECT("mdi-bluetooth-connect", '\uf154'),
    MDI_BOOK("mdi-book", '\uf156'),
    MDI_BOOKMARK("mdi-bookmark", '\uf158'),
    MDI_BOOKMARK_OUTLINE("mdi-bookmark-outline", '\uf157'),
    MDI_BORDER_ALL("mdi-border-all", '\uf159'),
    MDI_BORDER_BOTTOM("mdi-border-bottom", '\uf15a'),
    MDI_BORDER_COLOR("mdi-border-color", '\uf15b'),
    MDI_BORDER_HORIZONTAL("mdi-border-horizontal", '\uf15c'),
    MDI_BORDER_INSIDE("mdi-border-inside", '\uf15d'),
    MDI_BORDER_LEFT("mdi-border-left", '\uf15e'),
    MDI_BORDER_NONE("mdi-border-none", '\uf15f'),
    MDI_BORDER_OUTSIDE("mdi-border-outside", '\uf160'),
    MDI_BORDER_RIGHT("mdi-border-right", '\uf161'),
    MDI_BORDER_TOP("mdi-border-top", '\uf162'),
    MDI_BORDER_VERTICAL("mdi-border-vertical", '\uf163'),
    MDI_BRIEFCASE("mdi-briefcase", '\uf167'),
    MDI_BRIEFCASE_CHECKED("mdi-briefcase-checked", '\uf164'),
    MDI_BRIEFCASE_DOWNLOAD("mdi-briefcase-download", '\uf165'),
    MDI_BRIEFCASE_UPLOAD("mdi-briefcase-upload", '\uf166'),
    MDI_BUS("mdi-bus", '\uf168'),
    MDI_CAKE("mdi-cake", '\uf16a'),
    MDI_CAKE_VARIANT("mdi-cake-variant", '\uf169'),
    MDI_CALENDAR("mdi-calendar", '\uf16f'),
    MDI_CALENDAR_CHECK("mdi-calendar-check", '\uf16b'),
    MDI_CALENDAR_REMOVE("mdi-calendar-remove", '\uf16c'),
    MDI_CALENDAR_TEXT("mdi-calendar-text", '\uf16d'),
    MDI_CALENDAR_TODAY("mdi-calendar-today", '\uf16e'),
    MDI_CAMCORDER("mdi-camcorder", '\uf173'),
    MDI_CAMCORDER_BOX("mdi-camcorder-box", '\uf171'),
    MDI_CAMCORDER_BOX_OFF("mdi-camcorder-box-off", '\uf170'),
    MDI_CAMCORDER_OFF("mdi-camcorder-off", '\uf172'),
    MDI_CAMERA("mdi-camera", '\uf178'),
    MDI_CAMERA_PARTY_MODE("mdi-camera-party-mode", '\uf174'),
    MDI_CAMERA_SWITCH("mdi-camera-switch", '\uf175'),
    MDI_CAMERA_TIMER("mdi-camera-timer", '\uf176'),
    MDI_CAMERA_VARIANT("mdi-camera-variant", '\uf177'),
    MDI_CAR("mdi-car", '\uf17a'),
    MDI_CART("mdi-cart", '\uf17c'),
    MDI_CART_OUTLINE("mdi-cart-outline", '\uf17b'),
    MDI_CAR_WASH("mdi-car-wash", '\uf179'),
    MDI_CASH("mdi-cash", '\uf17d'),
    MDI_CAST("mdi-cast", '\uf17f'),
    MDI_CAST_CONNECTED("mdi-cast-connected", '\uf17e'),
    MDI_CELLPHONE("mdi-cellphone", '\uf183'),
    MDI_CELLPHONE_ANDROID("mdi-cellphone-android", '\uf180'),
    MDI_CELLPHONE_DOCK("mdi-cellphone-dock", '\uf181'),
    MDI_CELLPHONE_IPHONE("mdi-cellphone-iphone", '\uf182'),
    MDI_CHECK("mdi-check", '\uf185'),
    MDI_CHECKBOX("mdi-checkbox", '\uf191'),
    MDI_CHECKBOX_BLANK("mdi-checkbox-blank", '\uf189'),
    MDI_CHECKBOX_BLANK_CIRCLE("mdi-checkbox-blank-circle", '\uf187'),
    MDI_CHECKBOX_BLANK_CIRCLE_OUTLINE("mdi-checkbox-blank-circle-outline", '\uf186'),
    MDI_CHECKBOX_BLANK_OUTLINE("mdi-checkbox-blank-outline", '\uf188'),
    MDI_CHECKBOX_CHECKED("mdi-checkbox-checked", '\uf18b'),
    MDI_CHECKBOX_CHECKED_OUTLINE("mdi-checkbox-checked-outline", '\uf18a'),
    MDI_CHECKBOX_MARKED("mdi-checkbox-marked", '\uf18f'),
    MDI_CHECKBOX_MARKED_CIRCLE("mdi-checkbox-marked-circle", '\uf18d'),
    MDI_CHECKBOX_MARKED_CIRCLE_OUTLINE("mdi-checkbox-marked-circle-outline", '\uf18c'),
    MDI_CHECKBOX_MARKED_OUTLINE("mdi-checkbox-marked-outline", '\uf18e'),
    MDI_CHECKBOX_OUTLINE("mdi-checkbox-outline", '\uf190'),
    MDI_CHECK_ALL("mdi-check-all", '\uf184'),
    MDI_CHEVRON_DOWN("mdi-chevron-down", '\uf192'),
    MDI_CHEVRON_LEFT("mdi-chevron-left", '\uf193'),
    MDI_CHEVRON_RIGHT("mdi-chevron-right", '\uf194'),
    MDI_CHEVRON_UP("mdi-chevron-up", '\uf195'),
    MDI_CITY("mdi-city", '\uf196'),
    MDI_CLIPBOARD("mdi-clipboard", '\uf19e'),
    MDI_CLIPBOARD_ACCOUNT("mdi-clipboard-account", '\uf197'),
    MDI_CLIPBOARD_ALERT("mdi-clipboard-alert", '\uf198'),
    MDI_CLIPBOARD_ARROW_DOWN("mdi-clipboard-arrow-down", '\uf199'),
    MDI_CLIPBOARD_ARROW_LEFT("mdi-clipboard-arrow-left", '\uf19a'),
    MDI_CLIPBOARD_CHECK("mdi-clipboard-check", '\uf19b'),
    MDI_CLIPBOARD_OUTLINE("mdi-clipboard-outline", '\uf19c'),
    MDI_CLIPBOARD_TEXT("mdi-clipboard-text", '\uf19d'),
    MDI_CLOCK("mdi-clock", '\uf19f'),
    MDI_CLOSE("mdi-close", '\uf1a4'),
    MDI_CLOSED_CAPTION("mdi-closed-caption", '\uf1a5'),
    MDI_CLOSE_BOX("mdi-close-box", '\uf1a1'),
    MDI_CLOSE_BOX_OUTLINE("mdi-close-box-outline", '\uf1a0'),
    MDI_CLOSE_CIRCLE("mdi-close-circle", '\uf1a3'),
    MDI_CLOSE_CIRCLE_OUTLINE("mdi-close-circle-outline", '\uf1a2'),
    MDI_CLOUD("mdi-cloud", '\uf1ac'),
    MDI_CLOUD_CHECK("mdi-cloud-check", '\uf1a6'),
    MDI_CLOUD_CIRCLE("mdi-cloud-circle", '\uf1a7'),
    MDI_CLOUD_DOWNLOAD("mdi-cloud-download", '\uf1a8'),
    MDI_CLOUD_OUTLINE("mdi-cloud-outline", '\uf1aa'),
    MDI_CLOUD_OUTLINE_OFF("mdi-cloud-outline-off", '\uf1a9'),
    MDI_CLOUD_UPLOAD("mdi-cloud-upload", '\uf1ab'),
    MDI_COFFEE("mdi-coffee", '\uf1ad'),
    MDI_COG("mdi-cog", '\uf1af'),
    MDI_COG_BOX("mdi-cog-box", '\uf1ae'),
    MDI_COIN("mdi-coin", '\uf1b0'),
    MDI_COLOR_HELPER("mdi-color-helper", '\uf1b1'),
    MDI_COMPARE("mdi-compare", '\uf1b2'),
    MDI_COMPASS("mdi-compass", '\uf1b3'),
    MDI_CONTRAST("mdi-contrast", '\uf1b6'),
    MDI_CONTRAST_BOX("mdi-contrast-box", '\uf1b4'),
    MDI_CONTRAST_CIRCLE("mdi-contrast-circle", '\uf1b5'),
    MDI_CREDIT_CARD("mdi-credit-card", '\uf1b7'),
    MDI_CROP("mdi-crop", '\uf1bc'),
    MDI_CROP_FREE("mdi-crop-free", '\uf1b8'),
    MDI_CROP_LANDSCAPE("mdi-crop-landscape", '\uf1b9'),
    MDI_CROP_PORTRAIT("mdi-crop-portrait", '\uf1ba'),
    MDI_CROP_SQUARE("mdi-crop-square", '\uf1bb'),
    MDI_CROSSHAIRS("mdi-crosshairs", '\uf1be'),
    MDI_CROSSHAIRS_GPS("mdi-crosshairs-gps", '\uf1bd'),
    MDI_CUP("mdi-cup", '\uf1c0'),
    MDI_CUP_WATER("mdi-cup-water", '\uf1bf'),
    MDI_DATABASE("mdi-database", '\uf1c4'),
    MDI_DATABASE_MINUS("mdi-database-minus", '\uf1c1'),
    MDI_DATABASE_OUTLINE("mdi-database-outline", '\uf1c2'),
    MDI_DATABASE_PLUS("mdi-database-plus", '\uf1c3'),
    MDI_DEBUG_STEP_INTO("mdi-debug-step-into", '\uf1c5'),
    MDI_DEBUG_STEP_OUT("mdi-debug-step-out", '\uf1c6'),
    MDI_DEBUG_STEP_OVER("mdi-debug-step-over", '\uf1c7'),
    MDI_DESKTOP_MAC("mdi-desktop-mac", '\uf1c8'),
    MDI_DIRECTIONS("mdi-directions", '\uf1c9'),
    MDI_DISK_ALERT("mdi-disk-alert", '\uf1ca'),
    MDI_DISQUS("mdi-disqus", '\uf1cb'),
    MDI_DOWNLOAD("mdi-download", '\uf1cc'),
    MDI_DRAWING("mdi-drawing", '\uf1ce'),
    MDI_DRAWING_BOX("mdi-drawing-box", '\uf1cd'),
    MDI_DRIBBBLE("mdi-dribbble", '\uf1cf'),
    MDI_EARTH("mdi-earth", '\uf1d0'),
    MDI_EMAIL("mdi-email", '\uf1d2'),
    MDI_EMAIL_OUTLINE("mdi-email-outline", '\uf1d1'),
    MDI_EMOTICON("mdi-emoticon", '\uf1d6'),
    MDI_EMOTICON_HAPPY("mdi-emoticon-happy", '\uf1d3'),
    MDI_EMOTICON_POOP("mdi-emoticon-poop", '\uf1d4'),
    MDI_EMOTICON_SAD("mdi-emoticon-sad", '\uf1d5'),
    MDI_EXIT_TO_APP("mdi-exit-to-app", '\uf1d7'),
    MDI_EYE("mdi-eye", '\uf1d9'),
    MDI_EYE_OFF("mdi-eye-off", '\uf1d8'),
    MDI_FACEBOOK("mdi-facebook", '\uf1db'),
    MDI_FACEBOOK_BOX("mdi-facebook-box", '\uf1da'),
    MDI_FAST_FORWARD("mdi-fast-forward", '\uf1dc'),
    MDI_FERRY("mdi-ferry", '\uf1dd'),
    MDI_FILE("mdi-file", '\uf1ed'),
    MDI_FILE_CLOUD("mdi-file-cloud", '\uf1de'),
    MDI_FILE_DELIMITED("mdi-file-delimited", '\uf1df'),
    MDI_FILE_DOCUMENT("mdi-file-document", '\uf1e1'),
    MDI_FILE_DOCUMENT_BOX("mdi-file-document-box", '\uf1e0'),
    MDI_FILE_EXCEL("mdi-file-excel", '\uf1e3'),
    MDI_FILE_EXCEL_BOX("mdi-file-excel-box", '\uf1e2'),
    MDI_FILE_IMAGE("mdi-file-image", '\uf1e5'),
    MDI_FILE_IMAGE_BOX("mdi-file-image-box", '\uf1e4'),
    MDI_FILE_PDF("mdi-file-pdf", '\uf1e7'),
    MDI_FILE_PDF_BOX("mdi-file-pdf-box", '\uf1e6'),
    MDI_FILE_POWERPOINT("mdi-file-powerpoint", '\uf1e9'),
    MDI_FILE_POWERPOINT_BOX("mdi-file-powerpoint-box", '\uf1e8'),
    MDI_FILE_PRESENTATION_BOX("mdi-file-presentation-box", '\uf1ea'),
    MDI_FILE_WORD("mdi-file-word", '\uf1ec'),
    MDI_FILE_WORD_BOX("mdi-file-word-box", '\uf1eb'),
    MDI_FILM("mdi-film", '\uf1ee'),
    MDI_FILMSTRIP("mdi-filmstrip", '\uf1ef'),
    MDI_FILTER("mdi-filter", '\uf1f3'),
    MDI_FILTER_OUTLINE("mdi-filter-outline", '\uf1f0'),
    MDI_FILTER_REMOVE("mdi-filter-remove", '\uf1f2'),
    MDI_FILTER_REMOVE_OUTLINE("mdi-filter-remove-outline", '\uf1f1'),
    MDI_FIRE("mdi-fire", '\uf1f4'),
    MDI_FISH("mdi-fish", '\uf1f5'),
    MDI_FLAG("mdi-flag", '\uf1f6'),
    MDI_FLIP_TO_BACK("mdi-flip-to-back", '\uf1f7'),
    MDI_FLIP_TO_FRONT("mdi-flip-to-front", '\uf1f8'),
    MDI_FLOWER("mdi-flower", '\uf1f9'),
    MDI_FOLDER("mdi-folder", '\uf1fe'),
    MDI_FOLDER_ACCOUNT("mdi-folder-account", '\uf1fa'),
    MDI_FOLDER_GOOGLE_DRIVE("mdi-folder-google-drive", '\uf1fb'),
    MDI_FOLDER_MOVE("mdi-folder-move", '\uf1fc'),
    MDI_FOLDER_OUTLINE("mdi-folder-outline", '\uf1fd'),
    MDI_FORMAT_ALIGN_CENTER("mdi-format-align-center", '\uf1ff'),
    MDI_FORMAT_ALIGN_JUSTIFY("mdi-format-align-justify", '\uf200'),
    MDI_FORMAT_ALIGN_LEFT("mdi-format-align-left", '\uf201'),
    MDI_FORMAT_ALIGN_RIGHT("mdi-format-align-right", '\uf202'),
    MDI_FORMAT_BOLD("mdi-format-bold", '\uf203'),
    MDI_FORMAT_COLOR_FILL("mdi-format-color-fill", '\uf204'),
    MDI_FORMAT_LINE_SPACING("mdi-format-line-spacing", '\uf205'),
    MDI_FORMAT_LIST_NUMBERS("mdi-format-list-numbers", '\uf206'),
    MDI_FORMAT_PAINT("mdi-format-paint", '\uf207'),
    MDI_FORMAT_STRIKETHROUGH("mdi-format-strikethrough", '\uf208'),
    MDI_FORMAT_SUBSCRIPT("mdi-format-subscript", '\uf209'),
    MDI_FORMAT_SUPERSCRIPT("mdi-format-superscript", '\uf20a'),
    MDI_FORMAT_UNDERLINE("mdi-format-underline", '\uf20b'),
    MDI_GAMEPAD("mdi-gamepad", '\uf20c'),
    MDI_GAS_STATION("mdi-gas-station", '\uf20d'),
    MDI_GIFT("mdi-gift", '\uf20f'),
    MDI_GIFT_VARIANT("mdi-gift-variant", '\uf20e'),
    MDI_GITHUB_BOX("mdi-github-box", '\uf210'),
    MDI_GITHUB_CIRCLE("mdi-github-circle", '\uf211'),
    MDI_GMAIL("mdi-gmail", '\uf212'),
    MDI_GOOGLE("mdi-google", '\uf21d'),
    MDI_GOOGLE_CHROME("mdi-google-chrome", '\uf213'),
    MDI_GOOGLE_CIRCLES("mdi-google-circles", '\uf216'),
    MDI_GOOGLE_CIRCLES_COMMUNITIES("mdi-google-circles-communities", '\uf214'),
    MDI_GOOGLE_CIRCLES_EXTENDED("mdi-google-circles-extended", '\uf215'),
    MDI_GOOGLE_DRIVE("mdi-google-drive", '\uf217'),
    MDI_GOOGLE_EARTH("mdi-google-earth", '\uf218'),
    MDI_GOOGLE_GLASS("mdi-google-glass", '\uf219'),
    MDI_GOOGLE_PAGES("mdi-google-pages", '\uf21a'),
    MDI_GOOGLE_PLUS("mdi-google-plus", '\uf21c'),
    MDI_GOOGLE_PLUS_BOX("mdi-google-plus-box", '\uf21b'),
    MDI_HANGOUTS("mdi-hangouts", '\uf21e'),
    MDI_HEADPHONES("mdi-headphones", '\uf220'),
    MDI_HEADPHONES_BOX("mdi-headphones-box", '\uf21f'),
    MDI_HEADSET("mdi-headset", '\uf221'),
    MDI_HEART("mdi-heart", '\uf224'),
    MDI_HEART_BOX("mdi-heart-box", '\uf222'),
    MDI_HEART_OUTLINE("mdi-heart-outline", '\uf223'),
    MDI_HELP("mdi-help", '\uf226'),
    MDI_HELP_CIRCLE("mdi-help-circle", '\uf225'),
    MDI_HISTORY("mdi-history", '\uf227'),
    MDI_HOME("mdi-home", '\uf228'),
    MDI_HOSPITAL("mdi-hospital", '\uf22b'),
    MDI_HOSPITAL_BUILDING("mdi-hospital-building", '\uf229'),
    MDI_HOSPITAL_MARKER("mdi-hospital-marker", '\uf22a'),
    MDI_HOTEL("mdi-hotel", '\uf22c'),
    MDI_HOUZZ("mdi-houzz", '\uf22e'),
    MDI_HOUZZ_BOX("mdi-houzz-box", '\uf22d'),
    MDI_HUMAN("mdi-human", '\uf22f'),
    MDI_INFORMATION("mdi-information", '\uf231'),
    MDI_INFORMATION_OUTLINE("mdi-information-outline", '\uf230'),
    MDI_INSTAGRAM("mdi-instagram", '\uf232'),
    MDI_INSTAPAPER("mdi-instapaper", '\uf233'),
    MDI_INVERT_COLORS("mdi-invert-colors", '\uf234'),
    MDI_KEYBOARD("mdi-keyboard", '\uf23a'),
    MDI_KEYBOARD_BACKSPACE("mdi-keyboard-backspace", '\uf235'),
    MDI_KEYBOARD_CAPS("mdi-keyboard-caps", '\uf236'),
    MDI_KEYBOARD_CLOSE("mdi-keyboard-close", '\uf237'),
    MDI_KEYBOARD_RETURN("mdi-keyboard-return", '\uf238'),
    MDI_KEYBOARD_TAB("mdi-keyboard-tab", '\uf239'),
    MDI_LABEL("mdi-label", '\uf23c'),
    MDI_LABEL_OUTLINE("mdi-label-outline", '\uf23b'),
    MDI_LAPTOP("mdi-laptop", '\uf240'),
    MDI_LAPTOP_CHROMEBOOK("mdi-laptop-chromebook", '\uf23d'),
    MDI_LAPTOP_MAC("mdi-laptop-mac", '\uf23e'),
    MDI_LAPTOP_WINDOWS("mdi-laptop-windows", '\uf23f'),
    MDI_LAUNCH("mdi-launch", '\uf241'),
    MDI_LIBRARY("mdi-library", '\uf242'),
    MDI_LIGHTBULB("mdi-lightbulb", '\uf243'),
    MDI_LINK("mdi-link", '\uf244'),
    MDI_LINKEDIN("mdi-linkedin", '\uf245'),
    MDI_LOCK("mdi-lock", '\uf249'),
    MDI_LOCK_OUTLINE("mdi-lock-outline", '\uf246'),
    MDI_LOCK_UNLOCK("mdi-lock-unlock", '\uf248'),
    MDI_LOCK_UNLOCK_OUTLINE("mdi-lock-unlock-outline", '\uf247'),
    MDI_LOGIN("mdi-login", '\uf24a'),
    MDI_MAGNIFY("mdi-magnify", '\uf24d'),
    MDI_MAGNIFY_MINUS("mdi-magnify-minus", '\uf24b'),
    MDI_MAGNIFY_PLUS("mdi-magnify-plus", '\uf24c'),
    MDI_MAP("mdi-map", '\uf251'),
    MDI_MAP_MARKER("mdi-map-marker", '\uf250'),
    MDI_MAP_MARKER_CIRCLE("mdi-map-marker-circle", '\uf24e'),
    MDI_MAP_MARKER_OFF("mdi-map-marker-off", '\uf24f'),
    MDI_MARKER_CHECK("mdi-marker-check", '\uf252'),
    MDI_MARTINI("mdi-martini", '\uf253'),
    MDI_MEMORY("mdi-memory", '\uf254'),
    MDI_MENU("mdi-menu", '\uf257'),
    MDI_MENU_DOWN("mdi-menu-down", '\uf255'),
    MDI_MENU_UP("mdi-menu-up", '\uf256'),
    MDI_MESSAGE_ALERT("mdi-message-alert", '\uf258'),
    MDI_MESSAGE_DRAW("mdi-message-draw", '\uf259'),
    MDI_MESSAGE_IMAGE("mdi-message-image", '\uf25a'),
    MDI_MESSAGE_PROCESSING("mdi-message-processing", '\uf25b'),
    MDI_MESSAGE_REPLY("mdi-message-reply", '\uf25c'),
    MDI_MESSAGE_VIDEO("mdi-message-video", '\uf25d'),
    MDI_MICROPHONE("mdi-microphone", '\uf261'),
    MDI_MICROPHONE_DOTS("mdi-microphone-dots", '\uf25e'),
    MDI_MICROPHONE_OFF("mdi-microphone-off", '\uf25f'),
    MDI_MICROPHONE_OUTLINE("mdi-microphone-outline", '\uf260'),
    MDI_MINUS("mdi-minus", '\uf265'),
    MDI_MINUS_BOX("mdi-minus-box", '\uf262'),
    MDI_MINUS_CIRCLE("mdi-minus-circle", '\uf264'),
    MDI_MINUS_CIRCLE_OUTLINE("mdi-minus-circle-outline", '\uf263'),
    MDI_MONITOR("mdi-monitor", '\uf266'),
    MDI_MORE("mdi-more", '\uf267'),
    MDI_MOUSE("mdi-mouse", '\uf268'),
    MDI_NAVIGATION("mdi-navigation", '\uf269'),
    MDI_NEEDLE("mdi-needle", '\uf26a'),
    MDI_NEST_PROTECT("mdi-nest-protect", '\uf26b'),
    MDI_NEST_THERMOSTAT("mdi-nest-thermostat", '\uf26c'),
    MDI_NEWSPAPER("mdi-newspaper", '\uf26d'),
    MDI_NFC("mdi-nfc", '\uf26f'),
    MDI_NFC_VARIANT("mdi-nfc-variant", '\uf26e'),
    MDI_OIL("mdi-oil", '\uf270'),
    MDI_ORNAMENT("mdi-ornament", '\uf272'),
    MDI_ORNAMENT_VARIANT("mdi-ornament-variant", '\uf271'),
    MDI_PARKING("mdi-parking", '\uf273'),
    MDI_PAUSE("mdi-pause", '\uf278'),
    MDI_PAUSE_CIRCLE("mdi-pause-circle", '\uf275'),
    MDI_PAUSE_CIRCLE_OUTLINE("mdi-pause-circle-outline", '\uf274'),
    MDI_PAUSE_OCTAGON("mdi-pause-octagon", '\uf277'),
    MDI_PAUSE_OCTAGON_OUTLINE("mdi-pause-octagon-outline", '\uf276'),
    MDI_PENCIL("mdi-pencil", '\uf279'),
    MDI_PHARMACY("mdi-pharmacy", '\uf27a'),
    MDI_PHONE("mdi-phone", '\uf283'),
    MDI_PHONE_BLUETOOTH("mdi-phone-bluetooth", '\uf27b'),
    MDI_PHONE_DOTS("mdi-phone-dots", '\uf27c'),
    MDI_PHONE_FORWARD("mdi-phone-forward", '\uf27d'),
    MDI_PHONE_HANGUP("mdi-phone-hangup", '\uf27e'),
    MDI_PHONE_IN_TALK("mdi-phone-in-talk", '\uf27f'),
    MDI_PHONE_LOCKED("mdi-phone-locked", '\uf280'),
    MDI_PHONE_MISSED("mdi-phone-missed", '\uf281'),
    MDI_PHONE_PAUSED("mdi-phone-paused", '\uf282'),
    MDI_PILL("mdi-pill", '\uf284'),
    MDI_PIN("mdi-pin", '\uf285'),
    MDI_PINE_TREE("mdi-pine-tree", '\uf287'),
    MDI_PINE_TREE_BOX("mdi-pine-tree-box", '\uf286'),
    MDI_PINTEREST("mdi-pinterest", '\uf288'),
    MDI_PIZZA("mdi-pizza", '\uf289'),
    MDI_PLAY("mdi-play", '\uf28d'),
    MDI_PLAY_BOX_OUTLINE("mdi-play-box-outline", '\uf28a'),
    MDI_PLAY_CIRCLE("mdi-play-circle", '\uf28c'),
    MDI_PLAY_CIRCLE_OUTLINE("mdi-play-circle-outline", '\uf28b'),
    MDI_PLUS("mdi-plus", '\uf292'),
    MDI_PLUS_BOX("mdi-plus-box", '\uf28e'),
    MDI_PLUS_CIRCLE("mdi-plus-circle", '\uf290'),
    MDI_PLUS_CIRCLE_OUTLINE("mdi-plus-circle-outline", '\uf28f'),
    MDI_PLUS_ONE("mdi-plus-one", '\uf291'),
    MDI_POCKET("mdi-pocket", '\uf293'),
    MDI_POLL("mdi-poll", '\uf295'),
    MDI_POLL_BOX("mdi-poll-box", '\uf294'),
    MDI_POLYMER("mdi-polymer", '\uf296'),
    MDI_PRINTER("mdi-printer", '\uf297'),
    MDI_PUZZLE("mdi-puzzle", '\uf298'),
    MDI_QRCODE("mdi-qrcode", '\uf299'),
    MDI_QUALITY_HIGH("mdi-quality-high", '\uf29a'),
    MDI_RADIOBOX_BLANK("mdi-radiobox-blank", '\uf29b'),
    MDI_RADIOBOX_MARKED("mdi-radiobox-marked", '\uf29c'),
    MDI_READABILITY("mdi-readability", '\uf29d'),
    MDI_RECEIPT("mdi-receipt", '\uf29e'),
    MDI_RECYCLE("mdi-recycle", '\uf29f'),
    MDI_REFRESH("mdi-refresh", '\uf2a0'),
    MDI_RELATIVE_SCALE("mdi-relative-scale", '\uf2a1'),
    MDI_RENAME_BOX("mdi-rename-box", '\uf2a2'),
    MDI_REWIND("mdi-rewind", '\uf2a3'),
    MDI_RIBBON("mdi-ribbon", '\uf2a4'),
    MDI_ROTATE_LEFT("mdi-rotate-left", '\uf2a6'),
    MDI_ROTATE_LEFT_VARIANT("mdi-rotate-left-variant", '\uf2a5'),
    MDI_ROTATE_RIGHT("mdi-rotate-right", '\uf2a8'),
    MDI_ROTATE_RIGHT_VARIANT("mdi-rotate-right-variant", '\uf2a7'),
    MDI_RSS("mdi-rss", '\uf2aa'),
    MDI_RSS_BOX("mdi-rss-box", '\uf2a9'),
    MDI_SATELLITE("mdi-satellite", '\uf2ab'),
    MDI_SCHOOL("mdi-school", '\uf2ac'),
    MDI_SCRIPT("mdi-script", '\uf2ad'),
    MDI_SECURITY("mdi-security", '\uf2ae'),
    MDI_SERVER("mdi-server", '\uf2b2'),
    MDI_SERVER_NETWORK("mdi-server-network", '\uf2b0'),
    MDI_SERVER_NETWORK_OFF("mdi-server-network-off", '\uf2af'),
    MDI_SERVER_OFF("mdi-server-off", '\uf2b1'),
    MDI_SHAPE_PLUS("mdi-shape-plus", '\uf2b3'),
    MDI_SHARE("mdi-share", '\uf2b5'),
    MDI_SHARE_VARIANT("mdi-share-variant", '\uf2b4'),
    MDI_SHOPPING("mdi-shopping", '\uf2b6'),
    MDI_SILVERWARE("mdi-silverware", '\uf2b7'),
    MDI_SIM("mdi-sim", '\uf2b9'),
    MDI_SIM_ALERT("mdi-sim-alert", '\uf2b8'),
    MDI_SKIP_NEXT("mdi-skip-next", '\uf2ba'),
    MDI_SKIP_PREVIOUS("mdi-skip-previous", '\uf2bb'),
    MDI_SPEAKER("mdi-speaker", '\uf2bd'),
    MDI_SPEAKER_OFF("mdi-speaker-off", '\uf2bc'),
    MDI_STAR("mdi-star", '\uf2c0'),
    MDI_STAR_HALF("mdi-star-half", '\uf2be'),
    MDI_STAR_OUTLINE("mdi-star-outline", '\uf2bf'),
    MDI_STOCKING("mdi-stocking", '\uf2c1'),
    MDI_STOP("mdi-stop", '\uf2c2'),
    MDI_STORE("mdi-store", '\uf2c4'),
    MDI_STORE_24_HOUR("mdi-store-24-hour", '\uf2c3'),
    MDI_SUBWAY("mdi-subway", '\uf2c5'),
    MDI_SWAP_HORIZONTAL("mdi-swap-horizontal", '\uf2c6'),
    MDI_SWAP_VERTICAL("mdi-swap-vertical", '\uf2c7'),
    MDI_SYNC("mdi-sync", '\uf2ca'),
    MDI_SYNC_ALERT("mdi-sync-alert", '\uf2c8'),
    MDI_SYNC_OFF("mdi-sync-off", '\uf2c9'),
    MDI_TAB("mdi-tab", '\uf2cc'),
    MDI_TABLET("mdi-tablet", '\uf2cf'),
    MDI_TABLET_ANDROID("mdi-tablet-android", '\uf2cd'),
    MDI_TABLET_IPAD("mdi-tablet-ipad", '\uf2ce'),
    MDI_TAB_UNSELECTED("mdi-tab-unselected", '\uf2cb'),
    MDI_TAG("mdi-tag", '\uf2d1'),
    MDI_TAG_FACES("mdi-tag-faces", '\uf2d0'),
    MDI_TAXI("mdi-taxi", '\uf2d2'),
    MDI_TELEVISION("mdi-television", '\uf2d3'),
    MDI_TERRAIN("mdi-terrain", '\uf2d4'),
    MDI_THUMB_DOWN("mdi-thumb-down", '\uf2d5'),
    MDI_THUMB_UP("mdi-thumb-up", '\uf2d6'),
    MDI_TICKET("mdi-ticket", '\uf2d7'),
    MDI_TIE("mdi-tie", '\uf2d8'),
    MDI_TIMELAPSE("mdi-timelapse", '\uf2d9'),
    MDI_TOGGLE_SWITCH("mdi-toggle-switch", '\uf2db'),
    MDI_TOGGLE_SWITCH_OFF("mdi-toggle-switch-off", '\uf2da'),
    MDI_TOOLTIP("mdi-tooltip", '\uf2e0'),
    MDI_TOOLTIP_EDIT("mdi-tooltip-edit", '\uf2dc'),
    MDI_TOOLTIP_IMAGE("mdi-tooltip-image", '\uf2dd'),
    MDI_TOOLTIP_OUTLINE("mdi-tooltip-outline", '\uf2de'),
    MDI_TOOLTIP_TEXT("mdi-tooltip-text", '\uf2df'),
    MDI_TRAFFIC_LIGHT("mdi-traffic-light", '\uf2e1'),
    MDI_TRAIN("mdi-train", '\uf2e2'),
    MDI_TRAM("mdi-tram", '\uf2e3'),
    MDI_TROPHY("mdi-trophy", '\uf2e6'),
    MDI_TROPHY_AWARD("mdi-trophy-award", '\uf2e4'),
    MDI_TROPHY_VARIANT("mdi-trophy-variant", '\uf2e5'),
    MDI_TRUCK("mdi-truck", '\uf2e7'),
    MDI_TSHIRT_CREW("mdi-tshirt-crew", '\uf2e8'),
    MDI_TSHIRT_V("mdi-tshirt-v", '\uf2e9'),
    MDI_TUMBLR("mdi-tumblr", '\uf2ea'),
    MDI_TWITCH("mdi-twitch", '\uf2eb'),
    MDI_TWITTER("mdi-twitter", '\uf2ed'),
    MDI_TWITTER_BOX("mdi-twitter-box", '\uf2ec'),
    MDI_UNFOLD_LESS("mdi-unfold-less", '\uf2ee'),
    MDI_UNFOLD_MORE("mdi-unfold-more", '\uf2ef'),
    MDI_UPLOAD("mdi-upload", '\uf2f0'),
    MDI_USB("mdi-usb", '\uf2f1'),
    MDI_VECTOR_SQUARE("mdi-vector-square", '\uf2f2'),
    MDI_VIBRATION("mdi-vibration", '\uf2f3'),
    MDI_VIDEO("mdi-video", '\uf2f6'),
    MDI_VIDEO_OFF("mdi-video-off", '\uf2f4'),
    MDI_VIDEO_SWITCH("mdi-video-switch", '\uf2f5'),
    MDI_VOICEMAIL("mdi-voicemail", '\uf2f7'),
    MDI_VOLUME_HIGH("mdi-volume-high", '\uf2f8'),
    MDI_VOLUME_LOW("mdi-volume-low", '\uf2f9'),
    MDI_VOLUME_MEDIUM("mdi-volume-medium", '\uf2fa'),
    MDI_VOLUME_OFF("mdi-volume-off", '\uf2fb'),
    MDI_WALK("mdi-walk", '\uf2fc'),
    MDI_WALLET("mdi-wallet", '\uf300'),
    MDI_WALLET_GIFTCARD("mdi-wallet-giftcard", '\uf2fd'),
    MDI_WALLET_MEMBERSHIP("mdi-wallet-membership", '\uf2fe'),
    MDI_WALLET_TRAVEL("mdi-wallet-travel", '\uf2ff'),
    MDI_WATCH("mdi-watch", '\uf301'),
    MDI_WEB("mdi-web", '\uf302'),
    MDI_WHEELCHAIR_ACCESSIBILITY("mdi-wheelchair-accessibility", '\uf303'),
    MDI_WHITE_BALANCE_AUTO("mdi-white-balance-auto", '\uf304'),
    MDI_WHITE_BALANCE_INCANDESCENT("mdi-white-balance-incandescent", '\uf305'),
    MDI_WHITE_BALANCE_IRRADESCENT("mdi-white-balance-irradescent", '\uf306'),
    MDI_WHITE_BALANCE_SUNNY("mdi-white-balance-sunny", '\uf307'),
    MDI_WINDOWS("mdi-windows", '\uf308'),
    MDI_YOUTUBE_PLAY("mdi-youtube-play", '\uf309'),
    MDI_ZIP_BOX("mdi-zip-box", '\uf30a');

    public static MaterialDesign findByDescription(String description) {
        for (MaterialDesign font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    MaterialDesign(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}